Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export
Class ExportCommandImpl

    java.lang.Object
      com.jaspersoft.jasperserver.export.ExportCommandImpl

All Implemented Interfaces:
  CommandBean, org.springframework.context.ApplicationContextAware

    public class ExportCommandImpl

extends java.lang.Object
implements CommandBean, org.springframework.context.ApplicationContextAware

Version:
  $Id: ExportCommandImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ExportCommandImpl()`

Method Summary
`protected Exporter` | `createPrototypeExporter(Parameters parameters)`
`protected ExportTask` | `createTask(Parameters parameters)`
`protected ExecutionContext` | `getExecutionContext(Parameters parameters)`
`java.lang.String` | `getExporterPrototypeBeanName()`
`protected java.lang.String` | `getExporterPrototypeBeanName(Parameters parameters)`
`ExportImportIOFactory` | `getExportImportIOFactory()`
`protected ExportOutput` | `getExportOutput(Parameters parameters)`
`protected java.util.Locale` | `getLocale(Parameters parameters)`
`void` | `process(Parameters parameters)`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext ctx)`
`void` | `setExporterPrototypeBeanName(java.lang.String exporterPrototypeBeanName)`
`void` | `setExportImportIOFactory(ExportImportIOFactory ioFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExportCommandImpl

    public ExportCommandImpl()

Method Detail

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext ctx)
                               throws org.springframework.beans.BeansException

  Specified by:
    `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
  Throws:
    `org.springframework.beans.BeansException`

### process

    public void process(Parameters parameters)

  Specified by:
    `process` in interface `CommandBean`

### createTask

    protected ExportTask createTask(Parameters parameters)

### getExportOutput

    protected ExportOutput getExportOutput(Parameters parameters)

### getExecutionContext

    protected ExecutionContext getExecutionContext(Parameters parameters)

### getLocale

    protected java.util.Locale getLocale(Parameters parameters)

### createPrototypeExporter

    protected Exporter createPrototypeExporter(Parameters parameters)

### getExporterPrototypeBeanName

    protected java.lang.String getExporterPrototypeBeanName(Parameters parameters)

### getExporterPrototypeBeanName

    public java.lang.String getExporterPrototypeBeanName()

### setExporterPrototypeBeanName

    public void setExporterPrototypeBeanName(java.lang.String exporterPrototypeBeanName)

### getExportImportIOFactory

    public ExportImportIOFactory getExportImportIOFactory()

### setExportImportIOFactory

    public void setExportImportIOFactory(ExportImportIOFactory ioFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.